Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::INGVideoDeviceManagerEx Class Referenceabstract

`#include <video_device_manager_i.h>`

Inherits agora::rtc::INGVideoDeviceManager.

## Public Member Functions
| INGVideoDeviceManagerEx ()=default
virtual | ~INGVideoDeviceManagerEx ()=default
virtual int | registerObserverLLApiInternal (IVideoDeviceManagerObserver *observer, void(*safeDeleter)(IVideoDeviceManagerObserver *)=nullptr)=0
virtual int | unregisterObserverLLApiInternal (IVideoDeviceManagerObserver *observer)=0
virtual int | getNumberOfDevicesLLApiInternal ()=0
virtual int | getNumberOfCapabilitiesLLApiInternal (const char *deviceId)=0
virtual int | getDeviceInfoLLApiInternal (int index, VideoDeviceInfo &deviceInfo)=0
virtual int | getCapabilityLLApiInternal (const char *deviceId, const uint32_t capabilityIndex, VideoFormat &capability)=0
Public Member Functions inherited from agora::rtc::INGVideoDeviceManager
virtual int | registerObserver (IVideoDeviceManagerObserver *observer, void(*safeDeleter)(IVideoDeviceManagerObserver *)=NULL, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unregisterObserver (IVideoDeviceManagerObserver *observer)=0
virtual int | getNumberOfDevices ()=0
virtual int | getNumberOfCapabilities (const char *deviceId)=0
virtual int | getCapability (const char *deviceId, const uint32_t capabilityIndex, VideoFormat &capability)=0
virtual int | getDeviceInfo (int index, VideoDeviceInfo &deviceInfo)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::rtc::INGVideoDeviceManager
| ~INGVideoDeviceManager ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ INGVideoDeviceManagerEx()

agora::rtc::INGVideoDeviceManagerEx::INGVideoDeviceManagerEx | ( |  | ) |
| default

## ◆ ~INGVideoDeviceManagerEx()

virtual agora::rtc::INGVideoDeviceManagerEx::~INGVideoDeviceManagerEx | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ registerObserverLLApiInternal()

virtual int agora::rtc::INGVideoDeviceManagerEx::registerObserverLLApiInternal | ( | IVideoDeviceManagerObserver * | observer,
|  | void(* | safeDeleter )(IVideoDeviceManagerObserver *) = nullptr )
| pure virtual

## ◆ unregisterObserverLLApiInternal()

virtual int agora::rtc::INGVideoDeviceManagerEx::unregisterObserverLLApiInternal | ( | IVideoDeviceManagerObserver * | observer | ) |
| pure virtual

## ◆ getNumberOfDevicesLLApiInternal()

virtual int agora::rtc::INGVideoDeviceManagerEx::getNumberOfDevicesLLApiInternal | ( |  | ) |
| pure virtual

## ◆ getNumberOfCapabilitiesLLApiInternal()

virtual int agora::rtc::INGVideoDeviceManagerEx::getNumberOfCapabilitiesLLApiInternal | ( | const char * | deviceId | ) |
| pure virtual

## ◆ getDeviceInfoLLApiInternal()

virtual int agora::rtc::INGVideoDeviceManagerEx::getDeviceInfoLLApiInternal | ( | int | index,
|  | VideoDeviceInfo & | deviceInfo )
| pure virtual

## ◆ getCapabilityLLApiInternal()

virtual int agora::rtc::INGVideoDeviceManagerEx::getCapabilityLLApiInternal | ( | const char * | deviceId,
|  | const uint32_t | capabilityIndex,
|  | VideoFormat & | capability )
| pure virtual